Bug 212025 - Open Test result tab in new tab...
Open Test result tab in new tab...
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Test Runner
7.2
All All
: P1 (vote)
: 7.4
Assigned To: Theofanis Oikonomou
issues@utilities
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 14:07 UTC by Ondrej Brejla
Modified: 2013-02-15 12:43 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Brejla 2012-05-03 14:07:14 UTC
Everytime I run Java tests, the result are displayed in the same window. It really really annoying! :) I need new Test result tab for every test run. Why? My use case:

1) I did some changes in my code.
2) I run test.
3) 10 of them failed.
4) I want to run them separately.
5) So I run one of them...and.
6) The result appears in the same window, so I can't run that 9 other tests, because I dont remember their names and test classes, etc.

So, please, provide an option to enable opening Test results tab in separate tab. Thanks a lot!
Comment 1 Theofanis Oikonomou 2013-02-13 16:39:28 UTC
Changeset: 54838b2a60f0
Author:    Theofanis Oikonomou <theofanis@netbeans.org>
Date:      2013-02-13 17:37
Message:   
Issue #212025 - Open Test result tab in new tab...
Comment 2 Theofanis Oikonomou 2013-02-13 18:49:58 UTC
Changeset: efb6d28c63e2
Author:    Theofanis Oikonomou <theofanis@netbeans.org>
Date:      2013-02-13 19:48
Message:   
Issue #212025 - Open Test result tab in new tab... - fixing NB-Core-Build #9644
Comment 3 Quality Engineering 2013-02-15 12:43:38 UTC
Integrated into 'main-golden', will be available in build *201302150954* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/54838b2a60f0
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: Issue #212025 - Open Test result tab in new tab...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo